
QGIS Application - Bug report #4822

Opening table of attributes is 7x slower in qgis-master than in 1.7.3

2012-01-16 08:12 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Jürgen Fischer

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14668

Description

I used this vector (180k records)

http://gis-lab.info/data/orbview-meta/orbview3-catalog-shp.7z

in my test Windows VM with both qgis 1.7.3 and master.

In 1.7.3 it takes 1:10 minutes, in master it takes 7:20 minutes.

Associated revisions

Revision 3ba2fe9d - 2012-01-16 09:22 PM - Jürgen Fischer

fix #4822

History

#1 - 2012-01-16 09:26 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#2 - 2012-01-16 12:23 PM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Fixed in changeset commit:"3ba2fe9d04cd193a54bb8165bbcb79b22977d2ec".

#3 - 2012-01-17 01:16 AM - Giovanni Manghi

Now it is clocked at 2:20, 5 minutes better but still slower if compared with 1.7.3. I fear that with millions of records the difference will grow up easily.

#4 - 2012-01-17 07:04 AM - Giovanni Manghi

Giovanni Manghi wrote:

Now it is clocked at 2:20, 5 minutes better but still slower if compared with 1.7.3. I fear that with millions of records the difference will grow up easily.
http://gis-lab.info/data/orbview-meta/orbview3-catalog-shp.7z


Hi Jurgen, is this a work in progress?

#5 - 2012-01-17 07:07 AM - Jürgen Fischer

Giovanni Manghi wrote:

Giovanni Manghi wrote:

Now it is clocked at 2:20, 5 minutes better but still slower if compared with 1.7.3. I fear that with millions of records the difference will grow up

easily.

Hi Jurgen, is this a work in progress?

No, commit:0c9e60fb should fix it.
